Texa Desk Application API · Custom filters
Update a custom filter
PATCH/
Update a custom filter's attributes
Authorization
api_access_tokenheaderrequiredA person's access token (Texa Desk, Profile settings → Access token) or an agent bot's token, in the api_access_token header. It acts as that person, with their role's permissions.
Path parameters
account_idintegerrequiredThe numeric ID of the account
custom_filter_idintegerrequiredThe numeric ID of the custom filter
Body application/json
namestringThe name of the custom filter
typestringThe description about the custom filter One of: conversation, contact, report.
queryobjectA query that needs to be saved as a custom filter
Responses
200Success
idnumberThe ID of the custom filter
namestringThe name of the custom filter
typestringThe description about the custom filter One of: conversation, contact, report.
queryobjectA query that needs to be saved as a custom filter
created_atstring (date-time)The time at which the custom filter was created
updated_atstring (date-time)The time at which the custom filter was updated
401Unauthorized
descriptionstringerrorsarray of objecterrors[].fieldstringerrors[].messagestringerrors[].codestring